<?xml version="1.0" encoding="UTF-8"?>
<ItemInfo Name="wcs.stat_plc" Label="可编程控制器状态">
    <Fields>
        <Field Name="warehouse_id" Type="string" Required="false" Unique="false">
            <Label>地图编号</Label>
        </Field>
        <Field Name="brand" Type="string" Required="false" Unique="false">
            <Label>设备品牌</Label>
        </Field>
        <Field Name="version" Type="string" Required="false" Unique="false">
            <Label>协议版本号</Label>
        </Field>
        <Field Name="deviceId" Type="string" Required="false" Unique="false">
            <Label>设备编号</Label>
        </Field>
        <Field Name="lift" Type="array" Required="false" Unique="false" Items="object">
            <Label>提升机</Label>
            <Fields>
                <Field Name="did" Type="string">
                    <Label>父ID</Label>
                </Field>
                <Field Name="liftEndMode" Type="int64">
                    <Label>端位模式</Label>
                </Field>
                <Field Name="usable" Type="bool">
                    <Label>可用</Label>
                </Field>
                <Field Name="curFinishId" Type="int64">
                    <Label>已完成任务编号</Label>
                </Field>
                <Field Name="curTaskId" Type="int64">
                    <Label>当前任务编号</Label>
                </Field>
                <Field Name="curFloor" Type="int64">
                    <Label>当前层</Label>
                </Field>
                <Field Name="htbt" Type="int64">
                    <Label>心跳</Label>
                </Field>
                <Field Name="endpoint" Type="array" Items="object">
                    <Label>输送线信息</Label>
                    <Fields>
                        <Field Name="plcId" Type="int64">
                            <Label>控制器编号</Label>
                        </Field>
                        <Field Name="deviceId" Type="int64">
                            <Label>设备编号</Label>
                        </Field>
                        <Field Name="floor" Type="int64">
                            <Label>所在层</Label>
                        </Field>
                        <Field Name="isRunning" Type="bool">
                            <Label>运行中</Label>
                        </Field>
                        <Field Name="isError" Type="bool">
                            <Label>故障</Label>
                        </Field>
                        <Field Name="hasPallet" Type="bool">
                            <Label>有货</Label>
                        </Field>
                    </Fields>
                </Field>
                <Field Name="isAutoMode" Type="bool">
                    <Label>自动模式</Label>
                </Field>
                <Field Name="isReady" Type="bool">
                    <Label>就绪</Label>
                </Field>
                <Field Name="hasShuttle" Type="bool">
                    <Label>有车</Label>
                </Field>
                <Field Name="isRunning" Type="bool">
                    <Label>运行中</Label>
                </Field>
                <Field Name="inPosition" Type="bool">
                    <Label>已停稳</Label>
                </Field>
                <Field Name="isEStop" Type="bool">
                    <Label>急停</Label>
                </Field>
                <Field Name="hasPallet" Type="bool">
                    <Label>有货</Label>
                </Field>
                <Field Name="palletInPosition" Type="bool">
                    <Label>托盘已就位</Label>
                </Field>
                <Field Name="blocked" Type="bool">
                    <Label>挡板已阻挡</Label>
                </Field>
                <Field Name="conveyor" Type="object">
                    <Label>本机输送线</Label>
                    <Fields>
                        <Field Name="plcId" Type="int64">
                            <Label>控制器编号</Label>
                        </Field>
                        <Field Name="deviceId" Type="int64">
                            <Label>设备编号</Label>
                        </Field>
                        <Field Name="floor" Type="int64">
                            <Label>所在层</Label>
                        </Field>
                        <Field Name="isRunning" Type="bool">
                            <Label>运行中</Label>
                        </Field>
                        <Field Name="isError" Type="bool">
                            <Label>故障</Label>
                        </Field>
                        <Field Name="hasPallet" Type="bool">
                            <Label>有货</Label>
                        </Field>
                    </Fields>
                </Field>
                <Field Name="isRemoteMode" Type="bool">
                    <Label>挡板已阻挡</Label>
                </Field>
                <Field Name="locked" Type="bool">
                    <Label>已锁定</Label>
                </Field>
                <Field Name="errors" Type="array" Items="object">
                    <Label>错误代码</Label>
                    <Fields>
                        <Field Name="Id" Type="string">
                            <Label>错误代码</Label>
                        </Field>
                        <Field Name="Msg" Type="string">
                            <Label>错误信息</Label>
                        </Field>
                        <Field Name="Helper" Type="string">
                            <Label>帮助信息</Label>
                        </Field>
                    </Fields>
                </Field>
            </Fields>
        </Field>
    </Fields>
</ItemInfo>